{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'License home' %}{% endblock %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/license_home.css' %}" />
{% endblock head %}

{% block content %}
{% if license_flag %}
<div style="width:60%; margin:auto;">
  <h2>License Info</h2>
  <table class="table table-bordered table-striped">
    <tbody style='text-align:center'>
      <tr>
        <td width="40%">Enterprise Name:</td>
        <td width="60%">{{ license.company_name }}</td>
      </tr>
      {% if license.email_address %}
      <tr>
        <td>Email Address:</td>
        <td>{{ license.email_address }}</td>
      </tr>
      {% endif %}
      <tr>
        <td>Country:</td>
        <td>{{ license.country.name }}</td>
      </tr>
      <tr>
        <td>City:</td>
        <td>{{ license.city }}</td>
      </tr>
      {% if license.contacts %}
      <tr>
        <td>Contacts:</td>
        <td>{{ license.contacts }}</td>
      </tr>
      {% endif %}
      {% if license.address %}
      <tr>
        <td>Address:</td>
        <td>{{ license.address }}</td>
      </tr>
      {% endif %}
      {% if license.industry %}
      <tr>
        <td>Industry:</td>
        <td>{{ license.industry }}</td>
      </tr>
      {% endif %}
      <tr>
        <td><strong>Limit Employee:</strong></td>
        <td><strong>{{ employee_limit }}</strong></td>
      </tr>
      <tr>
        <td><strong>Limit Device:</strong></td>
        <td><strong>{{ device_limit }}</strong></td>
      </tr>
      <tr>
        <td><strong>Expired Date:</strong></td>
        <td><strong>{{ expired_data }}</strong></td>
      </tr>
    </tbody>
  </table>
</div>
<br><br>
{% else %}
<br><br><br><br>
{% endif %}

{% if is_license_error %}
<div style='text-align:center'>
  <div>
    <h2>You may have tampered with the license information in the database!</h2>
  </div>
  <b>
    <strong>Please re-activate the license operation!</strong>
  </b>
</div>
<br>
{% endif %}

{% if is_regedit_error %}
<div style='text-align:center'>
  <div>
    <h2>Can't find the regedit keys!</h2>
  </div>
  <b>
    <strong>Please reinstall or connect the business !</strong>
  </b>
</div>
<br>
{% endif %}

<div style='text-align:center'>
  <div>
    <b>Online Active:</b>
    &nbsp;&nbsp;&nbsp;&nbsp;
    <button type="button" onclick="javascrtpt:window.location.href='{% url 'active_online' %}'">Online Active</button>
  </div>
    <br><br>
  <div style='text-indent: 0.8em;'>
    <b>Offline Active:</b>
    &nbsp;&nbsp;&nbsp;&nbsp;
    <button type="button" onclick="javascrtpt:window.location.href='{% url 'create_upk_file' %}'">Generate UPK</button>
  </div>
  <br>
  <div style='text-indent: 8.7em;'>
    &nbsp;&nbsp;&nbsp;&nbsp;
    <button type="button" onclick="javascrtpt:window.location.href='{% url 'active_offline' %}'">Offline Active</button>
  </div>
</div>
<br>
{% endblock %}